<!-- @* ================ MOBILE MENU display none ================ *@ -->
<div style="display: none;" id="off-nav-barl">
  <span style="font-size:30px;cursor:pointer" onclick="openNavu()" title="User">&#9776;</span>
</div>
<div style="display: none;" id="off-nav-barr">
  <span style="font-size:30px;cursor:pointer" onclick="openNavm()" title="Menu">&#9776;</span>
</div>
<div style="display: none;" id="mySidenavu" class="sidenavu">
  <a href="javascript:void(0)" class="closebtn" onclick="closeNavu()">&times;</a>
  <!-- @* Switch back to Citizen *@ -->
  <!-- @if (Model.Entity.EntityType != vPopulus.Dictionaries.EntitiesDictionary.EntityType.Citizen) -->
  <!-- { -->
  <a class="small" href="">&#9664; Switch back</a>
  <!-- } -->
  <!-- @* USER: Avatar / Flag+Name *@ -->
  <a href="">
    <!-- @Url.Action("index", Model.Entity.EntityType.ToString(), new { id = Model.Entity.EntityId }) -->
    <img src="~/@Model.Entity.AvatarLocation" alt="Player" title="Player" width="180px" height="180px">
  </a>
  <a href=""><img src="">@Model.Entity.Name</a>
  <!-- ~/@vPopulus.Services.Countries.CountryService.GetFlagLocation(" s", Model.CountryId) -->
  <!-- @Url.Action("index", Model.Entity.EntityType.ToString(), new { id = Model.Entity.EntityId }) -->
  <!-- @* Msg and Notif *@ -->
  <div class="sidenavu1">
    <ul>
      <li>
        <a href="" title="Your Messages">
          <!-- @Url.Action("all", "message") -->
          <img src="{{hostUrl}}/assets/img/ico/player/message.png">
          <!-- @if (Model.UnreadMessagesCount > 0) -->
          <!-- { -->
          <span class="number-mess">@Model.UnreadMessagesCount</span>
          <!-- } -->
        </a>
      </li>
      <li>
        <a href="" title="Your Alerts">
          <!-- @Url.Action("Notifications", "Entity") -->
          <img src="{{hostUrl}}/assets/img/ico/player/alert.png">
          <!-- @if (Model.UnreadNotificationsCount > 0) -->
          <!-- { -->
          <span class="number-alert">@Model.UnreadNotificationsCount</span>
          <!-- } -->
        </a>
      </li>
    </ul>
  </div>
  <!-- @* Gold and Money *@ -->
  <a href=""><img src="{{hostUrl}}/assets/img/ico/player/gold.png" alt="Gold" title="Gold">
    @Math.Round(Model.Finances.FirstOrDefault(x => x.CurrencyId == 1)?.Amount ?? 0, 2) Gold</a>
  <a href=""><img src="~/@vPopulus.Services.Countries.CountryService.GetFlagLocation(" s", Model.CountryId)" alt=""
      title="@vPopulus.Services.Common.FinanceService.GetNameById(Model.CountryId)">
    @(Math.Round(Model.Finances.FirstOrDefault(x => x.CurrencyId == Model.CountryId)?.Amount ?? 0, 2))
    @vPopulus.Services.Common.FinanceService.GetNameById(Model.CountryId)</a>
  <!-- @* XP and Healt bar *@ -->
  <!-- @if (Model.Entity.EntityType == EntitiesDictionary.EntityType.Citizen)
            { -->
  <div class="playerItems-holder">
    <div class="xp-board">
      <ul>
        <li>
          <div class="left smaller xp-box" title="Experience Points">
            XP
          </div>
        </li>
        <li>
          <div class="xp-bar">
            <div class="xp-contain">
              <!-- <div class="xp"
                title="@(Model.CitizenStats.Experience)/@(vPopulus.Services.Entities.Citizens.CitizenStatsService.GetLevelRequiredExperience(Model.CitizenStats.Level + 1))"
                style="width:@(Math.Round(Model.ExperienceBar))%"></div> -->
            </div>
            <span class="xp-value">Level @(Model.CitizenStats.Level)</span>
          </div>
        </li>
      </ul>
    </div>
    <div class="hp-board">
      <ul>
        <li>
          <div class="left smaller hp-box" title="Health Points">
            HP
          </div>
        </li>
        <li>
          <div class="hp-bar">
            <!-- <div class="hp-contain" id="hp-contain">
              <div class="hp" title="@(Model.Wellness)" style="width:@(Model.Wellness)%"></div>
            </div> -->
            <span class="hp-value" id="hp-value">@(Model.Wellness)%</span>
          </div>
        </li>
      </ul>
    </div>
  </div>
  <!-- } -->

  <!-- @if (Model.Entity.EntityType == EntitiesDictionary.EntityType.Citizen)
            {
                @* Daily Activity *@ -->
  <h3>Daily Activities</h3>
  <div class="sidenavu1">
    <ul>
      <!-- @if (!Model.HasWorked)
                        {
                            <li>
                                <a href="@Url.Action("index", "company", new{ id = 0 })" title="{{ "Citizen.NotWorkedYet" | translate }}">
                                    <img src="{{hostUrl}}/assets/img/ico/player/work-unchecked.png">
                                </a>
                            </li>
                        }
                        else
                        {
                            <li>
                                <a href="@Url.Action("index", "company", new{ id = 0 })" title="{{ "Citizen.WorkedAlready" | translate }}">
                                    <img src="{{hostUrl}}/assets/img/ico/player/work-checked.png">
                                </a>
                            </li>
                        }
                        @if (!Model.HasTrained)
                        {
                            <li>
                                <a href="@Url.Action("training", "citizen")" title="{{ "Citizen.NotTrainedYet" | translate }}">
                                    <img src="{{hostUrl}}/assets/img/ico/player/train-unchecked.png">
                                </a>
                            </li>
                        }
                        else
                        {
                            <li>
                                <a href="@Url.Action("training", "citizen")" title="{{ "Citizen.TrainedAlready" | translate }}">
                                    <img src="{{hostUrl}}/assets/img/ico/player/train-checked.png">
                                </a>
                            </li>
                        } -->
    </ul>
  </div>
  <!-- @* Missions *@ -->
  <h3>Missions</h3>
  <div class="sidenavu2">
    <ul>
      <!-- @if (Model.Missions.Count > 0)
                        {
                            @foreach (var mission in Model.Missions)
                            {
                                <li>
                                    <a href="#" title="@mission.Mission.Title" onclick="openMissionModal('@Url.Action("DisplayMission", "Mission")', { id: '@mission.Id' });"><img src="~/@mission.Mission.IconLocation"></a>
                                </li>
                            }
                        } -->
    </ul>
  </div>
  <!-- }
            @* Switch TO *@
            @if (Model.Entity.EntityType == EntitiesDictionary.EntityType.Citizen && (Model.Orgsanisations.Count > 0 || Model.Army != null || Model.Party != null))
            { -->
  <div class="left player-box" name="mattCallOuter">
    <div class="player-name">
      <form method="get" action="">
        <!-- @Url.Action(" SwitchTo", "Entity" ) -->
        <label for="switch-org" class="small">
          <select id="switch-org" name="value">
            <!-- @foreach (var item in Model.Orgsanisations)
                                    { -->
            <option value="@vPopulus.Dictionaries.EntitiesDictionary.EntityType.Organisation.ToString():@item.EntityId">
              (ORG) @item.Name</option>
            <!-- } -->
            <!-- @if (Model.Army != null)
                                    { -->
            <option value="@vPopulus.Dictionaries.EntitiesDictionary.EntityType.Army.ToString():@Model.Army.EntityId">
              (ARM) @Model.Army.Name</option>
            <!-- } -->
            <!-- @if (Model.Party != null)
                                    { -->
            <option value="@vPopulus.Dictionaries.EntitiesDictionary.EntityType.Party.ToString():@Model.Party.EntityId">
              (PAR) @Model.Party.Name</option>
            <!-- } -->
          </select>
        </label>
        <input class="smBtn grButton small right" type="submit" value="Switch" style="border: none;">
      </form>
    </div>

  </div>
  <!-- } -->
</div>
<div style="display: none;" id="mySidenavm" class="sidenavm">
  <a href="javascript:void(0)" class="closebtn" onclick="closeNavm()">&times;</a>
  <ul>
    <li>
      <a href="">
        <!-- @Url.Action(" Index", "Home" ) -->
        {{ "General.Menu.Home" | translate }}
      </a>
    </li>
  </ul>
  <h2>{{ "General.Menu.MyPlaces" | translate }}</h2>
  <ul>
    <!-- @if (Model.EntityType == EntitiesDictionary.EntityType.Citizen)
                {
                    <li>
                        <a href="@Url.Action("accommodation", "entity")">
                            {{ "General.Menu.Accomodation" | translate }}
                        </a>
                    </li>
                    <li>
                        <a href="@Url.Action("index", "company", new { id = 0 })">
                            {{ "General.Menu.Work" | translate }}
                        </a>
                    </li>
                    <li>
                        <a href="@Url.Action("training", "citizen")">
                            {{ "General.Menu.Training" | translate }}
                        </a>
                    </li>
                }
                else
                {
                    <li>
                        <a href="@Url.Action("accommodation", "entity")">
                            {{ "General.Menu.Constructions" | translate }}
                        </a>
                    </li>
                    <li>
                        <a href="@Url.Action("all", "company")">
                            {{ "Entity.Companies" | translate }}
                        </a>
                    </li>
                    <li>
                        @if (Model.EntityType == EntitiesDictionary.EntityType.Army || Model.EntityType == EntitiesDictionary.EntityType.Party)
                        {
                            <a href="@Url.Action("members", Model.EntityType.ToString(), new{ id = Model.EntityId })">
                                {{ "Army.Members" | translate }}
                            </a>
                        }
                        else
                        {
                            <a href="@Url.Action("members", Model.EntityType.ToString())">
                                {{ "Army.Members" | translate }}
                            </a>
                        }
                    </li>
                    if (Model.EntityType == EntitiesDictionary.EntityType.Army)
                    {
                        <li>
                            <a href="@Url.Action("squads", Model.EntityType.ToString(), new { armyId = Model.EntityId })">
                                {{ "Army.Squads" | translate }}
                            </a>
                        </li>
                    }
                }
                <li>
                    <a href="@Url.Action("Inventory", "Entity")">
                        {{ "General.Menu.Inventory" | translate }}
                    </a>
                </li>
                <li>
                    <a href="@Url.Action("index", "newspaper", new { id = 0 })">
                        {{ "Entity.Newspaper" | translate }}
                    </a>
                </li>
                @if (Model.EntityType == EntitiesDictionary.EntityType.Citizen)
                {
                    <li>
                        <a href="@Url.Action("All", "organisation")">
                            {{ "Entity.Organisation" | translate }}
                        </a>
                    </li>
                    @*<li>
                            <a href="@Url.Action("Shares", "Citizen")">
                                {{ "Entity.Shares" | translate }}
                            </a>
                        </li>*@
                } -->
  </ul>
  <h2>{{ "General.Menu.Market" | translate }}</h2>
  <ul>
    <li>
      <!-- <a href="@Url.Action(" items", "itemMarket" )"> -->
      {{ "General.Menu.Marketplace" | translate }}
      <!-- </a> -->
    </li>
    <li>
      <!-- <a href="@Url.Action(" index", "ExchangeMarket" )"> -->
      {{ "General.Menu.Exchange" | translate }}
      <!-- </a> -->
    </li>
    <li>
      <!-- <a href="@Url.Action(" index", "jobMarket" , new { countryId=0, type=0, quality=0, skill=15 })"> -->
      {{ "General.Menu.Jobs" | translate }}
      <!-- </a> -->
    </li>
    <li>
      <!-- <a href="@Url.Action(" index", "propertiesmarket" )"> -->
      {{ "General.Menu.Property" | translate }}
      <!-- </a> -->
    </li>
    <li>
      <!-- <a href="@Url.Action(" index", "estatemarket" )"> -->
      {{ "General.Menu.Estate" | translate }}
      <!-- </a> -->
    </li>
    <!-- @*<li>
                    <a href="@Url.Action(" index", "SharesMarket" )">
                        {{ "General.Menu.SharesMarket" | translate }}
                    </a>
                </li>*@ -->
  </ul>
  <h2>{{ "Country.Wars" | translate }}</h2>
  <ul>
    <li>
      <!-- <a href="@Url.Action(" all", "war" )"> -->
      {{ "General.Menu.AllWars" | translate }}
      <!-- </a> -->
    </li>
    <li>
      <!-- <a href="@Url.Action(" Map", "Maps" )"> -->
      {{ "General.Menu.WorldMap" | translate }}
      <!-- </a> -->
    </li>
  </ul>
  <h2>{{ "General.Menu.Community" | translate }}</h2>
  <ul>
    <li>
      <!-- <a href="@Url.Action(" Chat", "Utilities" )"> -->
      {{ "General.Menu.Chat" | translate }}
      <!-- </a> -->
    </li>
    <!-- @if (Model.EntityType == EntitiesDictionary.EntityType.Citizen)
                {
                    <li>
                        <a href="@Url.Action("index", "party", new { id = 0 })">
                            {{ "Citizen.Party" | translate }}
                        </a>
                    </li>
                    <li>
                        <a href="@Url.Action("index", "army", new { id = 0 })">
                            {{ "General.Menu.Army" | translate }}
                        </a>
                    </li>
                } -->
    <li>
      <!-- <a href="@Url.Action(" index", "ranking" )"> -->
      {{ "General.Menu.Rankings" | translate }}
      <!-- </a> -->
    </li>
    <li>
      <!-- <a href="@Url.Action(" index", "country" , new { id=0 })"> -->
      {{ "General.Menu.Country" | translate }}
      <!-- </a> -->
    </li>
    <li>
      <!-- <a href="@Url.Action(" results", "elections" )"> -->
      Election results
      <!-- </a> -->
    </li>
  </ul>
  <h2>{{ "General.Menu.Extra" | translate }}</h2>
  <ul>
    <li>
      <!-- <a href="@Url.Action(" index", "store" )"> -->
      {{ "General.Menu.Store" | translate }}
      <!-- </a> -->
    </li>
    <!-- @if (Model.EntityType == EntitiesDictionary.EntityType.Citizen)
                {
                    <li>
                        <a href="@Url.Action("referrals", "citizen")">
                            {{ "General.Menu.Referrals" | translate }}
                        </a>
                    </li>
                } -->
    <li>
      <a href="https://wiki.vpopulus.net/">
        Encyclopedia
      </a>
    </li>
    <li>
      <!-- <a href="@Url.Action(" rules", "utilities" )"> -->
      {{ "General.Menu.Rules" | translate }}
      <!-- </a> -->
    </li>
    <li>
      <!-- <a href="@Url.Action(" index", "support" )"> -->
      {{ "General.Menu.Help" | translate }}
      <!-- </a> -->
    </li>
  </ul>
</div>